package com.sunxung.factoring.entity.purchcontractmanagement;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 采购合同-补充电子合同信息表
 * </p>
 *
 * @author daxian
 * @since 2022-03-14
 */
@TableName("c_purch_contract_supplement_electronic_info")
public class PurchContractSupplementElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    public static final Integer SIGN_STATUS_NOT_FINISH = 0;
    public static final Integer SIGN_STATUS_FINISH = 1;

    /**
     * 认证链接
     */
    @TableField("certify_link")
    private String certifyLink;

    /**
     * 认证状态
     */
    @TableField("certify_status")
    private Boolean certifyStatus;

    /**
     * 签署链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 签署短链接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 短连接的生成日期
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 签署状态
     */
    @TableField("sign_status")
    private Boolean signStatus;

    /**
     *
     */
    @TableField("transaction_id")
    private String transactionId;


    /**
     * 采购补充合同信息表Id
     */
    @TableField("c_purch_contract_supplement_info_id")
    private Long cPurchContractSupplementInfoId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同编号
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 是否回调 1是 0 否
     */
    @TableField("call_back")
    private Integer callBack;

    /**
     * 二网在法大大上的客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 历史数据 1 历史 0 非历史
     */
    @TableField(exist = false)
    private Integer history;

    public Integer getCallBack() {
        return callBack;
    }

    public void setCallBack(Integer callBack) {
        this.callBack = callBack;
    }

    public Integer getHistory() {
        return history;
    }

    public void setHistory(Integer history) {
        this.history = history;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public PurchContractSupplementElectronicInfo() {
    }

    public String getCertifyLink() {
        return certifyLink;
    }

    public void setCertifyLink(String certifyLink) {
        this.certifyLink = certifyLink;
    }

    public Boolean getCertifyStatus() {
        return certifyStatus;
    }

    public void setCertifyStatus(Boolean certifyStatus) {
        this.certifyStatus = certifyStatus;
    }

    public Boolean getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Boolean signStatus) {
        this.signStatus = signStatus;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public Long getcPurchContractSupplementInfoId() {
        return cPurchContractSupplementInfoId;
    }

    public void setcPurchContractSupplementInfoId(Long cPurchContractSupplementInfoId) {
        this.cPurchContractSupplementInfoId = cPurchContractSupplementInfoId;
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    @Override
    public String toString() {
        return "PurchContractSupplementElectronicInfo{" +
            "certifyLink=" + certifyLink +
            ", certifyStatus=" + certifyStatus +
            ", contractLink=" + contractLink +
            ", signStatus=" + signStatus +
        "}";
    }
}
